View Issue Details

IDProjectCategoryView StatusLast Update
0005110Talerotherpublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005110: Need testcases for blog and donations
DescriptionSome "make check" thing is needed for our frontends, we can't keep going without one!
TagsNo tags attached.

Relationships

has duplicate 0005089 closedMarcello Stanisci Testcases needed for frontends 

Activities

Marcello Stanisci

2017-07-28 12:18

manager   ~0012370

There is a talerfrontends/tests.py testcase as of 534d4c8. See instructions in README file.

Of course this is just a skeleton for now, and improvements are always welcome.

Note that in order to reduce complexity, the frontend is run against our public backend at http://backend.test.taler.net/.

Ah, we can't test features like POSTing coins or other wallet-dependant / crypto actions.

Issue History

Date Modified Username Field Change
2017-07-17 12:57 Marcello Stanisci New Issue
2017-07-28 12:18 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-28 12:18 Marcello Stanisci Status new => resolved
2017-07-28 12:18 Marcello Stanisci Resolution open => fixed
2017-07-28 12:18 Marcello Stanisci Note Added: 0012370
2017-07-29 14:26 Christian Grothoff Product Version => SVN HEAD
2017-07-29 14:26 Christian Grothoff Fixed in Version => 0.4
2017-07-29 14:26 Christian Grothoff Target Version => 0.4
2017-07-30 10:15 Marcello Stanisci Relationship added has duplicate 0005089
2017-10-18 15:42 Christian Grothoff Status resolved => closed